Package: io.vertx.groovy.servicediscovery.types

## [Groovy] Class EventBusService

- io.vertx.groovy.servicediscovery.types.EventBusService

- for event bus services (service proxies). Consumers receive a service proxy to use the service.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `EventBusService (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static java.util.Map<java.lang.String, java.lang.Object>` | `createRecord(java.lang.String name, java.lang.String address, java.lang.String itf, java.util.Map<java.lang.String, java.lang.Object> metadata)` Sugar method to creates a record for this type.
    `java.lang.Object` | `getDelegate()`
    `static void` | `getProxy(ServiceDiscovery discovery, java.util.Map<java.lang.String, java.lang.Object> filter, io.vertx.core.Handler<io.vertx.core.AsyncResult<T>> resultHandler)` Lookup for a service record and if found, retrieve it and return the service object (used to consume the service).
    `static void` | `getProxy(ServiceDiscovery discovery, java.lang.String serviceInterface, java.lang.String proxyInterface, io.vertx.core.Handler<io.vertx.core.AsyncResult<T>> resultHandler)`
    `static void` | `getProxy(ServiceDiscovery discovery, java.util.Map<java.lang.String, java.lang.Object> filter, java.lang.String proxyClass, io.vertx.core.Handler<io.vertx.core.AsyncResult<T>> resultHandler)`
    `static void` | `getProxy(ServiceDiscovery discovery, java.lang.String itf, io.vertx.core.Handler<io.vertx.core.AsyncResult<T>> resultHandler)` Lookup for a service record and if found, retrieve it and return the service object (used to consume the service).

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### EventBusService(java.lang.Object delegate)

  - ### Method Detail

    - #### static java.util.Map<java.lang.String, java.lang.Object> createRecord(java.lang.String name, java.lang.String address, java.lang.String itf, java.util.Map<java.lang.String, java.lang.Object> metadata)

      Sugar method to creates a record for this type.

      The java interface is added to the metadata in the `service.interface` key.

      Returns:
        the created record (see Record)
      Parameters:
        `name` - the name of the service.
        `address` - the event bus address on which the service available
        `itf` - the Java interface (name)
        `metadata` - the metadata

    - #### java.lang.Object getDelegate()

    - #### static void getProxy(ServiceDiscovery discovery, java.util.Map<java.lang.String, java.lang.Object> filter, io.vertx.core.Handler<io.vertx.core.AsyncResult<T>> resultHandler)

      Lookup for a service record and if found, retrieve it and return the service object (used to consume the service). This is a convenient method to avoid explicit lookup and then retrieval of the service.

      Parameters:
        `discovery` - the service discovery instance
        `filter` - the filter to select the service
        `resultHandler` - the result handler

    - #### static void getProxy(ServiceDiscovery discovery, java.lang.String serviceInterface, java.lang.String proxyInterface, io.vertx.core.Handler<io.vertx.core.AsyncResult<T>> resultHandler)

    - #### static void getProxy(ServiceDiscovery discovery, java.util.Map<java.lang.String, java.lang.Object> filter, java.lang.String proxyClass, io.vertx.core.Handler<io.vertx.core.AsyncResult<T>> resultHandler)

    - #### static void getProxy(ServiceDiscovery discovery, java.lang.String itf, io.vertx.core.Handler<io.vertx.core.AsyncResult<T>> resultHandler)

      Lookup for a service record and if found, retrieve it and return the service object (used to consume the service). This is a convenient method to avoid explicit lookup and then retrieval of the service. A filter based on the request interface is used.

      Parameters:
        `discovery` - the service discovery instance
        `itf` - the service interface
        `resultHandler` - the result handler